Lavalite package that provides matrix_setting management facility for the cms.

## Installation

Begin by installing this package through Composer. Edit your project's `composer.json` file to require `litecms/matrix_setting`.

    "litecms/matrix_setting": "dev-master"

Next, update Composer from the Terminal:

    composer update

Once this operation completes execute below cammnds in command line to finalize installation.

    Litecms\MatrixSetting\Providers\MatrixSettingServiceProvider::class,

And also add it to alias

    'MatrixSetting'  => Litecms\MatrixSetting\Facades\MatrixSetting::class,

## Publishing files and migraiting database.

**Migration and seeds**

    php artisan migrate
    php artisan db:seed --class=Litecms\\MatrixSettingTableSeeder

**Publishing configuration**

    php artisan vendor:publish --provider="Litecms\MatrixSetting\Providers\MatrixSettingServiceProvider" --tag="config"

**Publishing language**

    php artisan vendor:publish --provider="Litecms\MatrixSetting\Providers\MatrixSettingServiceProvider" --tag="lang"

**Publishing views**

    php artisan vendor:publish --provider="Litecms\MatrixSetting\Providers\MatrixSettingServiceProvider" --tag="view"


## Usage


